Bug 809999 - bad library build: icmBlack not resolved, eXecute permission missing
bad library build: icmBlack not resolved, eXecute permission missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: argyllcms (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 16:18 EDT by John Reiser
Modified: 2013-08-01 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:05:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-04-04 16:18:47 EDT
Description of problem: The symbol icmBlack has no resolution from libargyll.so.0, and eXecute permission is missing from each of libargyllicc.so.0.0.0, libargyll.so.0.0.0, and libargyllusb.so.0.0.0


Version-Release number of selected component (if applicable):
argyllcms-1.3.6-2.fc17.x86_64


How reproducible: every time


Steps to Reproduce:
1. ls -l /usr/lib*/libargyll*
2. readelf --symbols /usr/lib*/libargyll.so.0     |  grep icmBlack
   readelf --symbols /usr/lib*/libargyllicc.so.0  |  grep icmBlack
3. ldd /usr/lib*/libargyll.so.0  |  grep libargyllicc
   ldd /usr/lib*/libargyllicc.so.0
  
Actual results:
1.  Note that -x- permission is missing from each actual shared library (the permissions on the symlink are not the ones that matter in this case):
$ ls -l /usr/lib*/libargyll*
lrwxrwxrwx. 1 root root      21 Apr  3 17:11 /usr/lib64/libargyllicc.so.0 -> libargyllicc.so.0.0.0
-rw-r--r--. 1 root root  230600 Mar 22 09:44 /usr/lib64/libargyllicc.so.0.0.0
lrwxrwxrwx. 1 root root      18 Apr  3 17:11 /usr/lib64/libargyll.so.0 -> libargyll.so.0.0.0
-rw-r--r--. 1 root root 1594032 Mar 22 09:44 /usr/lib64/libargyll.so.0.0.0
lrwxrwxrwx. 1 root root      21 Apr  3 17:11 /usr/lib64/libargyllusb.so.0 -> libargyllusb.so.0.0.0
-rw-r--r--. 1 root root   54392 Mar 22 09:44 /usr/lib64/libargyllusb.so.0.0.0

2. icmBlack is UNDefined in libargyll but defined in libargyllicc:
$ readelf --symbols /usr/lib*/libargyll.so.0     |  grep icmBlack
   195: 0000000000000000     0 NOTYPE  GLOBAL DEFAULT  UND icmBlack
$    readelf --symbols /usr/lib*/libargyllicc.so.0  |  grep icmBlack
    98: 0000003d98e37360    24 OBJECT  GLOBAL DEFAULT   24 icmBlack

3. libargyll does not DT_NEED libargyllicc:
$ ldd /usr/lib*/libargyll.so.0  |  grep libargyllicc
   << note that stdout is empty; the line below is from stderr >>
ldd: warning: you do not have execution permission for `/usr/lib64/libargyll.so.0'
$    ldd /usr/lib*/libargyllicc.so.0
ldd: warning: you do not have execution permission for `/usr/lib64/libargyllicc.so.0'
	linux-vdso.so.1 =>  (0x00007fff62928000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x0000003d97c00000)
	libm.so.6 => /lib64/libm.so.6 (0x0000003d97800000)
	libc.so.6 => /lib64/libc.so.6 (0x0000003d97400000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003d97000000)

Expected results:
1. Each actual shared library includes -x- permission (0111).
2,3: libargyll specifies DT_NEED of libargyllicc (build with "-largyllicc")


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-10-24 09:57:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Richard Hughes 2012-10-24 10:15:51 EDT
(In reply to comment #0)
> Description of problem: The symbol icmBlack has no resolution from
> libargyll.so.0, and eXecute permission is missing from each of
> libargyllicc.so.0.0.0, libargyll.so.0.0.0, and libargyllusb.so.0.0.0

These are private to argyll, and should really be prefixed with "private".
Comment 3 Fedora End Of Life 2013-07-04 01:50:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 13:05:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.